gnutls_certificate_type_get(3)

NAME
gnutls_certificate_type_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_certificate_type_t gnutls_certificate_type_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function returns the type of the certificate that is negotiated for this side to send to the peer. The certificate type is by default X.509, unless an alternative certificate type is enabled by gnutls_init() and negotiated during the session. Resumed sessions will return the certificate type that was negotiated and used in the original session. As of version 3.6.4 it is recommended to use gnutls_certificate_type_get2() which is more fine-grained.

RETURNS
the currently used gnutls_certificate_type_t certificate type as negotiated for 'our' side of the connection.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/